New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Windows buildbot failures after ivim_linear merge #1127

Closed
matthew-brett opened this Issue Oct 6, 2016 · 1 comment

Comments

Projects
None yet
2 participants
@matthew-brett
Member

matthew-brett commented Oct 6, 2016

The buildbot Windows runs are all failing with errors like:

======================================================================
FAIL: Test error handling of the `_leastsq` method works when unfeasible x0 is passed.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 602, in chk_same_position
    assert_array_equal(x_id, y_id)
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 739, in assert_array_equal
    verbose=verbose, header='Arrays are not equal')
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 665, in assert_array_compare
    raise AssertionError(msg)
AssertionError: 
Arrays are not equal

(mismatch 100.0%)
 x: array([ True,  True,  True,  True], dtype=bool)
 y: array([False, False, False, False], dtype=bool)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\buildslave\win2016\dipy-bdist64-35-win2016\build\venv\lib\site-packages\nose\case.py", line 198, in runTest
    self.test(*self.arg)
  File "C:\buildslave\win2016\dipy-bdist64-35-win2016\build\venv\lib\site-packages\dipy\reconst\tests\test_ivim.py", line 414, in test_leastsq_error
    assert_array_almost_equal(fit, [-1, -1, -1, -1])
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 842, in assert_array_almost_equal
    precision=decimal)
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 628, in assert_array_compare
    chk_same_position(x_isnan, y_isnan, hasval='nan')
  File "c:\Python35-x64\lib\site-packages\numpy\testing\utils.py", line 608, in chk_same_position
    raise AssertionError(msg)
AssertionError: 
Arrays are not almost equal to 6 decimals

x and y nan location mismatch:
 x: array([ nan,  nan,  nan,  nan])
 y: array([-1, -1, -1, -1])

http://nipy.bic.berkeley.edu/builders/dipy-bdist-whl-3.3/builds/41/steps/shell_10/logs/stdio

See: http://nipy.bic.berkeley.edu/builders

@arokem arokem referenced this issue Oct 11, 2016

Merged

Fix 1127 #1129

@arokem

This comment has been minimized.

Member

arokem commented Dec 16, 2016

This was fixed in #1129

@arokem arokem closed this Dec 16, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment